Bug 122664 - gnome-keyboard-properties fails if I try to change layout or layout switching
gnome-keyboard-properties fails if I try to change layout or layout switching
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
http://home.sch.bme.hu/~higany/xkbbug...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-06 14:41 EDT by Hargitai Gabor
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 10:33:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hargitai Gabor 2004-05-06 14:41:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040504

Description of problem:
I run Desktop Settings->Keyboard (I hope this is the english name). I
want to add a new keyboard layout (magyar - hungarian), and it gives
an error, you can see it on the url. If I want to set, howto change
keyboard layout, it fails with the sam error.

xprop -root|grep XKB

_XKB_RULES_NAMES_BACKUP(STRING) = "xorg", "pc105", "gb", "", ""
_XKB_RULES_NAMES(STRING) = "xorg", "pc105", "gb", "",
"grp:alt_shift_toggle"

gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb

 layouts = [gb,hu       standard]
 model = pc105
 overrideSettings = false
 options = [grp grp:alt_shift_toggle]




Version-Release number of selected component (if applicable):
gnome-utils-2.6.0-2

How reproducible:
Always

Steps to Reproduce:
1.Red-hat menu->Desktop Settings->Keyboard
2.Select Layouts tab
3.Select magyar layout
4.Add

Actual Results:  It shows, that it added that layout, and it gives an
error, and I cant change the layout.

Expected Results:  The new layout should work without errors.

Additional info:
Comment 1 Christopher Aillon 2004-08-26 16:36:47 EDT
gnome-keyboard-properties is part of control-center.  Sending over there.
Comment 2 Som-Som 2005-04-29 03:26:12 EDT
This problem has been reported by several people. You can find some reports at
bug 139480.

(Unfortunately bug 139480 is marked as a duplicate of an x.org config issue,
even though it is definetly a Gnome-related problem.)

This report identifies FC version test3 as affected release. This bug affects
FC2 and FC3, too!
Comment 3 John Thacker 2006-10-30 09:46:46 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 4 John Thacker 2007-01-12 10:33:06 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.